aboutsummaryrefslogtreecommitdiff
path: root/replay.sh
diff options
context:
space:
mode:
authordec05eba <dec05eba@protonmail.com>2020-08-28 05:04:16 +0200
committerdec05eba <dec05eba@protonmail.com>2020-08-28 05:06:10 +0200
commitc1f5d7ee4d5fc8cdd7f297f3f2c0b57b7718b114 (patch)
treef231a4509bf05aa31cd6dbc5b75427c7ec70f574 /replay.sh
parentb2fc88336a3e10dfdf5892e12974d5982a6ff524 (diff)
Add nvidia-like instant replay option
Diffstat (limited to 'replay.sh')
-rwxr-xr-xreplay.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/replay.sh b/replay.sh
new file mode 100755
index 0000000..53f9bf6
--- /dev/null
+++ b/replay.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+[ "$#" -ne 5 ] && echo "usage: replay.sh <window_id> <fps> <audio_input> <replay_time_sec> <output_file>" && exit 1
+sibs build --release && ./sibs-build/linux_x86_64/release/gpu-screen-recorder -w "$1" -c mp4 -f "$2" -a "$3" -r "$4" -o "$5"